﻿@model List<FirstMVCAppMy.UI.Models.Products.ProductModel>

@{
    ViewData["Title"] = "ProductsCategories";
}

<h1>Categories</h1>

<h2>Products Categories</h2>

<table class="table">
    <thead>
        <tr>
            <th>
                Наименование
            </th>
            <th>
                Описание
            </th>
            <th>
                Брэнд
            </th>
            <th>
                Цена
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
        <tr>
            <td>
                <a asp-controller="Product" asp-action="Edit" asp-route-Id="@item.Id">@item.Name</a>
            </td>
            <td>
                @item.Description
            </td>
            <td>
                @item.BrandName
            </td>
            <td>
                @item.Price
            </td>
            <td>
                <form asp-action="Add" asp-controller="Bucket" method="post">
                    <input type="hidden" name="productId" value="@item.Id" />
                    <input type="submit" value="Добавить в корзину" />
                </form>
            </td>
        </tr>
        }
    </tbody>
</table>
